package chapter4.demo45;

/**
 * 定义“图形”接口，只拥有抽象方法
 * 后续的圆形和长方形都实现该接口，即圆形和长方形都需要实现 getArea 和 getPerimeter 方法
 * 通过接口，可以制订“规范、规范”
 */
public interface Shape {
    // 获取面积，省略 public abstract
    double getArea();
    // 获取周长，省略 public abstract
    double getPerimeter();
}


